Package com.enonic.xp.form

## Class Input

- java.lang.Object
- - com.enonic.xp.form.FormItem
  - - com.enonic.xp.form.Input

-     @PublicApi
      public final class Input
      extends FormItem

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `Input.Builder` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Input` | `copy()` |
    `static Input.Builder` | `create()` |
    `static Input.Builder` | `create​(Input input)` |
    `boolean` | `equals​(Object o)` |
    `String` | `getCustomText()` |
    `InputTypeDefault` | `getDefaultValue()` |
    `String` | `getHelpText()` |
    `String` | `getHelpTextI18nKey()` |
    `InputTypeName` | `getInputType()` |
    `InputTypeConfig` | `getInputTypeConfig()` |
    `String` | `getLabel()` |
    `String` | `getLabelI18nKey()` |
    `String` | `getName()` |
    `Occurrences` | `getOccurrences()` |
    `FormItemType` | `getType()` |
    `String` | `getValidationRegexp()` |
    `int` | `hashCode()` |
    `boolean` | `isImmutable()` |
    `boolean` | `isIndexed()` |
    `boolean` | `isMaximizeUIInputWidth()` |
    `boolean` | `isMultiple()` |
    `boolean` | `isRequired()` |

    - ### Methods inherited from class com.enonic.xp.form.FormItem

      `getParent, getPath, toFormItemSet, toFormOptionSet, toFormOptionSetOption, toInlineMixin, toInput, toLayout, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### getName

          public String getName()

      Specified by:
        `getName` in class `FormItem`

    - #### getType

          public FormItemType getType()

      Specified by:
        `getType` in class `FormItem`

    - #### getInputType

          public InputTypeName getInputType()

    - #### getLabel

          public String getLabel()

    - #### getDefaultValue

          public InputTypeDefault getDefaultValue()

    - #### isRequired

          public boolean isRequired()

    - #### isImmutable

          public boolean isImmutable()

    - #### isMultiple

          public boolean isMultiple()

    - #### getOccurrences

          public Occurrences getOccurrences()

    - #### isMaximizeUIInputWidth

          public boolean isMaximizeUIInputWidth()

    - #### isIndexed

          public boolean isIndexed()

    - #### getCustomText

          public String getCustomText()

    - #### getValidationRegexp

          public String getValidationRegexp()

    - #### getHelpText

          public String getHelpText()

    - #### getInputTypeConfig

          public InputTypeConfig getInputTypeConfig()

    - #### getLabelI18nKey

          public String getLabelI18nKey()

    - #### getHelpTextI18nKey

          public String getHelpTextI18nKey()

    - #### copy

          public Input copy()

      Specified by:
        `copy` in class `FormItem`

    - #### equals

          public boolean equals​(Object o)

      Overrides:
        `equals` in class `FormItem`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `FormItem`

    - #### create

          public static Input.Builder create()

    - #### create

          public static Input.Builder create​(Input input)